! Config.pro additions for running the OCUS benchmark v7
!
! Configuration options
!
2d_palette_path	.
add_java_class_path	.
afx_enabled	no
allow_anatomic_features	yes
allow_confirm_window	yes
angular_tol	0
atb_search_path	.
auto_regen_views	yes
axis_display	no
bell	no
blended_transparency	no
browser_favorite	.
button_name_in_help	no
campost_dir	.
clip_always	no
clock	no
cmdmgr_trail_output	yes
color	yes
company_name	creosite.com
compress_output_files	no
comp_assemble_start	constrain_in_window
create_drawing_dims_only	no
datum_display	no
datum_point_display	no
datum_point_tag_display	no
daystoshow_expirydialog	1
default_abs_accuracy	0.0003
delete_after_plotting	yes
display	wireframe
display_annotations	no
display_axes	no
display_axis_tags	no
display_combined_views	yes
display_comps_to_assemble	yes
display_coordinate_sys	no
display_coord_sys	no
display_coord_sys_tags	yes
display_in_adding_view	default
display_planes	no
display_plane_tags	yes
display_points	no
display_point_tags	yes
display_silhouette_edges	no
disp_trimetric_dwg_mode_view	yes
dm_remember_server	no
dwg_legacy_annotation_msg	no
dxf_export_format	2000
dxf_out_comments	no
edge_display_quality	normal
enable_3dmodelspace_browser_tab no
enable_partcommunity_tab no
enable_resource_browser_tab no
! Not in Creo 7.0: enable_absolute_accuracy	yes
enable_hlr_hashing	no
enable_popup_help	yes
external_analysis_directory	.
fasthlr	no
fasthlr_drawing no
feature_create_auto_begin	yes
feature_create_auto_ok	yes
file_open_default_folder	working_directory
fonts_size	small
frames_per_sec	no
frames_per_sec_value	0
grid_snap	no
help_translation	no
hlr_for_quilts	no
iges_out_all_srfs_as	default
iges_out_assembly_default_mode	flat
iges_out_dwg_color	no
iges_out_ent_as_bspline	FALSE
iges_out_jamais_compliant	no
iges_out_mil_d_28000	no
iges_out_spl_crvs_as_126	yes
iges_out_spl_srfs_as_128	yes
iges_out_start_note	no
iges_out_trim_xyz	yes
iges_out_trm_srfs_as_143	no
info_output_mode	choose
instance_search_exhaustive	no
interface_quality	3
intf2d_out_enhanced_ents	none
intf3d_out_extend_surface	yes
intf_out_blanked_entities	yes
isogen_output_files_dir	.
jlink_java_command	.
js_error_policy	suppress_continue
last_session_directory_path	.\.Settings
layout_symbol_dir	.
load_ui_customization_run_dir	yes
lods_enabled	no
mathcad_analysis_directory	.
max_animation_time	0
mdl_tree_cfg_file	ocus_tree.cfg
menu_show_instances	no
menu_translation	no
modelcheck_dir	.
modelcheck_enabled	no
model_tree_start	yes
number_user_colors	400
orientation	isometric
overlays_enabled	no
override_store_back	no
plotter	postscript
plotter_handshake	software
plot_file_dir	.
plot_to_scale_full_window	yes
postscript_compression	no
prehighlight	no
proe_memory_buffer_size	0
prompt_on_exit	no
protable_in_background	no
provide_pick_message_always	yes
pro_catalog_dir	.
pro_cbltrm_dir	.
pro_colormap_path	.
pro_crosshatch_dir	.
pro_dtl_setup_dir	.
pro_format_dir	.
pro_group_dir	.
pro_library_dir	.
pro_material_dir	.
pro_mdb_dir	.
pro_mfg_cmdsyn_dir	.
pro_mf_cl_dir	.
pro_mf_param_dir	.
pro_mf_tape_dir	.
pro_mf_tprm_dir	.
pro_mf_workcell_dir	.
pro_note_dir	.
pro_pip_fitt_dir	.
pro_pip_lnstk_dir	.
pro_plot_config_dir	.
pro_sheet_met_dir	.
pro_smt_params_dir	.
pro_spool_dir	.
pro_surface_finish_dir	.
pro_symbol_dir	.
pro_table_dir	.
pro_unit_length	unit_mm
pro_unit_mass	unit_kilogram
pro_weld_params_dir	.
punch_models_directory	.
query_bin_start	yes
regen_backup_directory	.
regen_backup_using_disk	no
! Deprecated config in Creo 7.0 (See CS260154)
! regen_failure_handling	resolve_mode
relation_file_editor	protab
remember_last_get_point_option	no
reserved_menu_space	2
retain_display_memory	yes
save_bitmap	none
save_display	yes
save_drawing_picture_file	no
save_instance_accelerator	none
save_model_display	no_display
save_objects	changed_and_specified
save_triangles_flag	no
select_on_dtm_edges	all_modes
set_menu_width	8
set_trail_single_step	no
shade_surface_feat	yes
shade_windows	one_window
show_axes_for_extr_arcs	no
sketcher_animated_modify	yes
sketcher_starts_in_2d	yes
smooth_lines	no
smooth_lods	no
spin_center_display	no
spin_rate_zoom_sensitive	no
spin_with_part_entities	no
spin_with_silhouettes	no
startup_check_for_visualization	no
start_appmgr	no
start_model_dir	.
step_export_ap214_asm_def_mode	single_file
step_export_format	ap214_is
summary_help	yes
suppress_dlg_license_expired	yes
suppress_license_loss_dialog	yes
system_colors_file	ocusb6.scl
tangent_edge_display	dimmed
texture	no
texture_search_path	.
tolerance_table_dir	.
tol_display	no
trail_dir	.
train_file_path	.
transparency	no
visible_mapkeys	no
visible_message_lines	4
web_browser_homepage	about:blank
windows_browser_type	ie_browser
windows_scale	1

! Do not setr this option. It will disable the menu bar in Creo 4 and 5
! enable_learning_connector	no

splash_screen_image_path .\ocus_benchmark_70.png

!
! Mapkeys
! 
mapkey runCreo @MAPKEY_LABELRun Creo Parametric OCUS Benchmark v7.0;\
mapkey(continued) @MAPKEY_NAMERun the Creo Parametric OCUS Benchmark v7.0 (requires Creo 4.0, 5.0 or 6.0 and 16Gb RAM);\
mapkey(continued) ~ Command `ProCmdUtilTrailTrain` ;\
mapkey(continued) ~ Update `file_open` `Inputname` \
mapkey(continued) `ocus_benchmark_70.txt`;\
mapkey(continued) ~ Activate `file_open` `Open`;


mapkey ++ @MAPKEY_NAMEExit;MAPKEY_LABELExit;\
mapkey(continued) ~ Command `ProCmdExit`;\
mapkey(continued) ~ Activate `UI Message Dialog` `yes`;q;;




